      subroutine printInitWC(labelLgth,label,nIS,uIS)
      implicit none

      include 'parameters.h'
      include 'input_output.h'
      include 'initial.h'
      include 'wave_constants.h'
      include 'exact.h'

c     Input:
      integer labelLgth
      character*80 label
      integer nIS
      real*8 uIS(0:N_INIT_STATE,1:N_EQUATIONS)
c     Auxiliary:
      real*8 rhoWC_min,rhoWC_max
      integer labelLeLgth,labelRiLgth
      character*80 labelLe,labelRi


      if (PRINT_INIT_WC) then
         rhoWC_min = rho_min
         rhoWC_max = 20.d0*uIS(lCSt,IRHO)
         labelLe = 'lInitBR_' // label(1:labelLgth)
         labelLeLgth = labelLgth+8
         call printWC(uIS(lCSt,IRHO),uIS(lCSt,IMOM),DIR_R,BEHIND,
     &        rhoWC_min,rhoWC_max,labelLeLgth,labelLe)

         rhoWC_min = rho_min
         rhoWC_max = 20.d0*uIS(rCSt,IRHO)
         labelRi = 'rInitAR_' // label(1:labelLgth)
         labelRiLgth = labelLgth+8
         call printWC(uIS(rCSt,IRHO),uIS(rCSt,IMOM),DIR_R,AHEAD,
     &        rhoWC_min,rhoWC_max,labelRiLgth,labelRi)

         rhoWC_min = rho_min
         rhoWC_max = 20.d0*uIS(lCSt,IRHO)
         labelLe = 'lInitAL_' // label(1:labelLgth)
         labelLeLgth = labelLgth+8
         call printWC(uIS(lCSt,IRHO),uIS(lCSt,IMOM),DIR_L,AHEAD,
     &        rhoWC_min,rhoWC_max,labelLeLgth,labelLe)
      endif

      end
