      subroutine rmOpen(labelLgth,label)
      implicit none

      include 'input_output.h'

c     Input:
      integer labelLgth
      character*80 label

      open(fid_xr,file='xr_'//label(1:labelLgth)//'.dat')
      open(fid_xm,file='xm_'//label(1:labelLgth)//'.dat')
      open(fid_xiL,file='xiL_'//label(1:labelLgth)//'.dat')
      open(fid_xiR,file='xiR_'//label(1:labelLgth)//'.dat')

      end

c----------------------------------------------------------------

      subroutine rmWrite(rho,mom,x)
      implicit none

      include 'input_output.h'
      include 'wave_constants.h'

      real*8 x,rho,mom
      real*8 st2inv

      write(fid_xr,1000) x, rho
      write(fid_xm,1000) x, mom
      write(fid_xiL,1000) x, st2inv(rho,mom,DIR_L)
      write(fid_xiR,1000) x, st2inv(rho,mom,DIR_R)
      

 1000 format(2g26.18E2)

      end

c----------------------------------------------------------------

      subroutine rmClose()
      implicit none

      include 'input_output.h'

      close(fid_xr)
      close(fid_xm)
      close(fid_xiL)
      close(fid_xiR)

      end
