      subroutine rpOut(rho,mom,W,signif,wave_type,labelLgth,label)
      implicit none

      include 'input_output.h'
      include 'wave_constants.h'

c     Input:
      real*8 rho(N_STATES),mom(N_STATES),W(N_EDGES)
      integer signif(N_WAVES),wave_type(N_WAVES)
      integer labelLgth
      character*80 label
      integer i
c-----

      open(fid,file='RP_' // label(1:labelLgth) // '.dat')

      write(fid,1000) 
      write(fid,1001) 
      write(fid,2000) 
      write(fid,2001) 'rho',(rho(i), i=1,N_STATES)
      write(fid,2001) 'mom',(mom(i), i=1,N_STATES)
      write(fid,1010) 
      write(fid,1011) 
      write(fid,3000) 
      write(fid,3001) ' type ',(WAVE_TYPE_STR(wave_type(i)),i=1,N_WAVES)
      write(fid,3002) 'signif',(signif(i),i=1,N_WAVES)
      write(fid,3003) '  W   ',(W(i),i=1,N_EDGES)
      write(fid,*)
      close(fid)

 1000 format(27x, 'STATE VARIABLES')
 1001 format(27x, '----- ---------')
 1010 format(27x, 'WAVE STRUCTURE')
 1011 format(27x, '---- ---------')

 2000 format(5x,  8x,'Left',3x,   11x,'  Midd',3x,  13x,'Right')
 2001 format(1x,A3,1x, 3(1x,f12.3,7x))

 3000 format(6x,  12x,' Left  ',6x,   14x,' Right ')
 3001 format(A6, 2(11x,A8,9x))
 3002 format(A6, 2(14x,i1,13x))
 3003 format(A6, 2(f12.3,1x,f12.3,1x), 1x, 
     &     2(f12.3,1x,f12.3,1x))

      end
